#include <iostream>
#include <TF2.h>
using namespace std;

int nf=0;

double myfun(double *x, double *par)
{
	cout << "in myfun " << nf << endl;
	nf++;
	return x[0]*x[0]+x[1]*x[1];
}

class lePSF
{
	public:
		lePSF();
		TF2 *GetPSFFunc();
		void Clean();
	private:
		TF2 * mpsf;
};

lePSF::lePSF()
{
	cout << "Initializing lePSF object" << endl;
	mpsf = new TF2("myfun", myfun, -10, 10, -10, 10);
}

TF2* lePSF::GetPSFFunc()
{
	cerr << mpsf << endl;
//	mpsf->Print();
	return mpsf;
}

void lePSF::Clean()
{
	cerr << "preclean " << nf << endl;
	nf=0;			
	cerr << "postclean " << nf << endl;
}
